summaryrefslogtreecommitdiff
path: root/qpid/cpp/examples/old_api/verify_all
diff options
context:
space:
mode:
authorGordon Sim <gsim@apache.org>2011-03-01 16:23:56 +0000
committerGordon Sim <gsim@apache.org>2011-03-01 16:23:56 +0000
commitc5cf8abaff0813710b5fdba4a1f6751adbfd0ce9 (patch)
treef0b482e0e103b066464a204e6a62182a14cdb4a7 /qpid/cpp/examples/old_api/verify_all
parentfc77e67d8542ff23321e548fa0b32d8bb3fa2f0b (diff)
downloadqpid-python-c5cf8abaff0813710b5fdba4a1f6751adbfd0ce9.tar.gz
QPID-3067: moved old examples to old_api directory
git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk@1075883 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/examples/old_api/verify_all')
-rwxr-xr-xqpid/cpp/examples/old_api/verify_all46
1 files changed, 46 insertions, 0 deletions
diff --git a/qpid/cpp/examples/old_api/verify_all b/qpid/cpp/examples/old_api/verify_all
new file mode 100755
index 0000000000..fbe51377b6
--- /dev/null
+++ b/qpid/cpp/examples/old_api/verify_all
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# Verify all examples
+
+verify=`dirname $0`/verify
+topsrcdir=$1
+topbuilddir=$2
+qpidd=$topbuilddir/src/qpidd
+broker_args=$3
+exclude_regexp=$4
+
+trap "$qpidd -q" exit
+QPID_PORT=`$qpidd -dp0 $broker_args` || { echo "Can't run qpidd" ; exit 1; }
+export QPID_PORT
+
+find="find $topsrcdir/cpp/examples/old_api"
+find="$find -mindepth 2 -name verify"
+all_examples=`$find`
+
+if test -z "$exclude_regexp"; then
+ run_examples=$all_examples
+else
+ for f in $all_examples; do
+ { echo $f | grep $exclude_regexp > /dev/null ; } || run_examples="$run_examples $f"
+ done
+fi
+$verify $topsrcdir $topbuilddir $run_examples